%global git_date  20241128
%global git_hash  e4dc66b
# Version in meson.build
%global git_ver  2.23.0.1
%global rel  3
%global src_name %{name}-%{git_date}-%{git_hash}.tar.xz

Name:		libva
Version:	%{git_ver}^%{git_date}g%{git_hash}
Release:	%{rel}%{?dist}
Summary:	Video Acceleration (VA) API for Linux
License:	MIT
URL:		https://github.com/intel/libva
Source0:	%{url}/%{src_name}

BuildRequires:	libtool
BuildRequires:  make
BuildRequires:  gcc

BuildRequires:	libudev-devel
BuildRequires:	libXext-devel
BuildRequires:	libXfixes-devel
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	libpciaccess-devel
BuildRequires:	mesa-libEGL-devel
BuildRequires:	mesa-libGL-devel
BuildRequires:	mesa-libGLES-devel
BuildRequires:  wayland-devel
BuildRequires:  pkgconfig(wayland-client) >= 1
BuildRequires:  pkgconfig(wayland-scanner) >= 1

# owns the %%{_libdir}/dri directory
Requires:	mesa-filesystem%{_isa}
%if 0%{?fedora} >= 37
Recommends:	(mesa-va-drivers%{?_isa} if mesa-dri-drivers)
%endif

%description
Libva is a library providing the VA API video acceleration API.

%package	devel
Summary:	Development files for %{name}
Requires:	%{name}%{_isa} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n %{name}
autoreconf -vif

%build
%configure --disable-static \
%{?_without_xorg: --disable-glx --disable-x11} \
%{?_without_wayland:--disable-wayland}

# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
%make_install
find %{buildroot} -regex ".*\.la$" | xargs rm -f --

%ldconfig_scriptlets

%files
%doc NEWS
%license COPYING
%ghost %{_sysconfdir}/libva.conf
%{_libdir}/libva.so.2*
%{_libdir}/libva-drm.so.2*
%{!?_without_wayland:
%{_libdir}/libva-wayland.so.2*
}
%{!?_without_xorg:
%{_libdir}/libva-x11.so.2*
%{_libdir}/libva-glx.so.2*
}

%files devel
%{_includedir}/va
%{_libdir}/libva*.so
%{_libdir}/pkgconfig/libva*.pc

%changelog
%autochangelog
